/*
* Copyright 2003 Mark O'Sullivan
* This file is part of Vanilla.
* Vanilla is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
* Vanilla is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
* You should have received a copy of the GNU General Public License along with Vanilla; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
* The latest source code for Vanilla is available at www.lussumo.com
* Contact Mark O'Sullivan at mark [at] lussumo [dot] com
*
* Description: Default cascading stylesheet for Vanilla sign in screens

Global Definitions*/
BODY
{
	background: #DEF;
	text-align: center;
}
BODY, DIV, INPUT, TEXTAREA, SELECT
{
	font-family: "Trebuchet MS", Verdana, Tahoma, Arial;
	font-size: 12px;
	color: #062971;
}
INPUT
{
	font-family: arial;
}
A, A:link, A:visited
{
	color: #3354AA;
	text-decoration: none;
}
A:hover
{
	color: #4B6DB7;
	text-decoration: none;
	background: #FFB;
}
.ErrorContainer
{
	background: #FFEDEF url(alert.gif) no-repeat top left;
	border-top: 1px solid #FFC2CA;
	border-bottom: 1px solid #FFC2CA;
	padding: 10px 9px 9px;
	color: #C00;
	margin: 0px 6px;
}
.ErrorTitle
{
	font-weight: bold;
	color: #C00;
	font-size: 12px;
	margin-bottom: 6px;
	padding-left: 18px;
}
.Error
{
	color: #C00;
	font-size: 12px;
}
.SiteContainer
{
	margin-top: 100px;
	border: 9px solid #555;
	background: #FFF;
}
.SiteContainer, .Foot
{
	text-align: left;
	margin-left: auto;
	margin-right: auto;
}
/*Various page widths*/
.SignIn
{
	width: 300px;
}
.PasswordRequest
{
	width: 590px;
}
.PasswordRequest .PageTitle
{
	width: 492px;
}
.SignOut
{
	width: 400px;
}
.Apply
{
	width: 590px;
}
.PasswordReset
{
	width: 550px;
}
/*Banner*/
H1
{
	text-align: left;
	background: #36A url(logo.png) no-repeat center;
	padding: 60px 0px;
	margin: 0px 0px 6px;
	border-bottom: 1px solid #062971;
}
H1, H1 A
{
	font-size: 0px;
	font-weight: bold;
	color: #36A;
	text-decoration: none;
}
H1 STRONG
{
	font-weight: normal;
	color: #FFA500;
}
/*About Paragraphs*/
.About
{
	margin: 8px 0px 0px;
	padding: 0px 4px 0px 8px;
	width: 260px;
	position: absolute;
}
.About H2
{
	font-size: 14px;
	font-weight: bold;
	margin: 0px;
	padding: 0px;
	color: #000;
}
.About P
{
	margin: 0px;
	padding: 2px 0px 6px;
	color: #000;
	line-height: 150%;
}
.About P STRONG
{
	font-weight: normal;
	text-decoration: underline;
}
/*Forms*/
FIELDSET
{
	border: 0px solid #000000;
	margin: 0px;
	padding: 0px 6px 6px;
}
LEGEND
{
	font-size: 14px;
	font-weight: bold;
	color: #000;
}
FIELDSET P
{
	margin: 0px;
	padding: 0px 2px 8px;
	color: #333;
}
#Form FORM
{
	background: #FFFFFF;
	margin: 0px;
	padding: 8px 1px 8px 8px;
}
#Form UL, #Form UL LI
{
	list-style: none;
	margin: 0px;
	padding: 0px;
}
#Form UL LI
{
	padding-bottom: 6px;
}
#Form LABEL
{
	text-align: right;
	display: block;
	width: 35%;
	float: left;
	margin-right: 8px;
	color: #000;
}
#Form INPUT
{
	width: 50%;
}
#Form .Submit
{
	clear: left;
	padding: 6px 0px 0px 88px;
	text-align: left;
}
#Form .Button
{
	width: auto;
	cursor: pointer;
}
/*Sign-In Page*/
#Form.SignInForm FIELDSET
{
	padding: 0px 6px;
}
#Form.SignInForm .Submit
{
	padding: 6px 0px 0px;
	clear: left;
	text-align: center;
}
#Form #RememberMe LABEL
{
	width: auto;
	padding-left: 102px;
	text-align: left;
	font-size: 12px;
}
#Form #RememberMe INPUT
{
	width: auto;
}
.MembershipOptionLinks
{
	margin: 0px 0px 0px 6px !important;
}
.MembershipOptionLinks LI
{
	width: 141px;
	overflow: hidden;
	white-space: nowrap;
	padding: 0px;
	margin: 0px;
}
.MembershipOptionLinks A, .MembershipOptionLinks A:link, .MembershipOptionLinks A:visited
{
	display: block;
	background: #FFC;
	color: #333;
	text-decoration: none;
	text-align: center;
	padding: 3px 0px;
	font-size: 12px;
}
.MembershipOptionLinks A:hover
{
	background: #FFC;
	color: #027;
	text-decoration: underline;
}
.ForgotPasswordLink
{
	position: absolute;
	z-index: 100;
}
.ApplyForMembershipLink
{
	padding-left: 146px !important;
}
/*Password Request Form*/
.PasswordRequestForm .ErrorContainer
{
	margin: 0px;
}
.PasswordRequest .About
{
	width: 234px;
}
.PasswordRequestForm
{
	padding: 0px 0px 0px 247px;
}
/*Apply Form*/
#Form.ApplyForm
{
	padding: 0px 0px 0px 270px;
}
.ApplyForm .ErrorContainer
{
	margin: 0px;
}
DIV.Apply #Form
{
	height: 300px;
}
HTML>BODY DIV.Apply #Form
{
/*ugly hack, but fixes display error in IE.*/
	min-height: 322px;
	height: auto;
}
#Form.ApplyForm .Submit
{
	padding-left: 104px;
}
#Form.ApplyForm LABEL
{
	width: 114px;
}
#Form.ApplyForm INPUT
{
	width: 156px;
}
#Form.ApplyForm .Submit INPUT
{
	width: auto !important;
}
#TermsOfServiceCheckBox INPUT
{
	width: auto !important;
}
#TermsOfServiceCheckBox
{
	font-size: 12px;
	color: #000;
}
#TermsOfServiceCheckBox A
{
	text-decoration: underline;
}
/*Password Reset Form*/
#Form.PasswordResetForm .ErrorContainer
{
	margin: 0px;
}
#Form.PasswordResetForm .Submit
{
	padding-left: 100px;
}
.PasswordReset .About
{
	width: 254px;
}
#Form.PasswordResetForm
{
	padding: 0px 0px 0px 267px;
}
/*Form Complete*/
.FormComplete
{
	padding: 8px 16px 16px;
}
.FormComplete H2
{
	font-size: 14px;
	font-weight: bold;
	margin: 0px;
	padding: 0px 0px 6px;
	color: #000;
}
.FormComplete UL
{
	list-style: none;
	margin: 0px;
	padding: 0px;
}
.FormComplete UL LI
{
	margin: 0px;
	padding: 0px;
	color: #000;
}
.FormComplete UL LI STRONG
{
	font-weight: normal;
	color: #E00;
}
/*Foot*/
.Foot
{
	color: #AAA;
	text-align: center;
	font-size: 10px;
}
.Foot A
{
	color: #AAA;
}
.Foot A:hover
{
	color: #027;
	background: none;
}
